// @flow
import React from 'react';
import { renderSnapshot } from '../../../../utils/tests';

import type { PageTitleProps } from './page-title.proptypes';
import { PageTitle } from './index';

const DEFAULT_PROPS: PageTitleProps = {
  children: '',
};

describe('PageTitle', () => {
  describe('snapshot', () => {
    it('matches the previous snapshot', () => {
      const pageTitle = renderSnapshot(
        <PageTitle {...DEFAULT_PROPS}>content</PageTitle>,
      );
      expect(pageTitle).toMatchSnapshot();
    });
  });
});
